Subject: RE: [midcom] R79/80

From: "Sanjoy Sen" <[email-masked]>
Date: Wed, 29 Aug 2001 14:05:05 -0500

The problem is here is that we first need a clear definition of ruleset.
From some of the previous discussions, a ruleset was defined as  <flow
identifier & action>. Given this, can anybody specify examples under which
the same ruleset will be created multiple times (R79)?

R80 - I can think of cases when rulesets can overlap --> either when two
actions share the same flow id or when two flow ids share the same action
(one flow id may be a subset of the other). By definition, these are two
different overlapping rulesets. In both cases, the internal operations of
the MB should guarantee that when one ruleset is deleted, the other is not.
All it needs for the protocol is to specify the ruleset unambigously. 

So, I think both requirements should be deleted.

Sanjoy

> -----Original Message-----
> From: Melinda Shore [mailto:[email-masked]]
> Sent: Tuesday, August 28, 2001 2:16 PM
> To: [email-masked]
> Subject: [midcom] R79/80
> 
> 
> Next question:
> 
> R79/80 - kill or keep?  It's related to the question of ownership
> but isn't the same.  R79 says:
> 
> "If a particular ruleset is created multiple times, it must be
> deleted the same number of times"
> 
> and R80 says:
> 
> "If two rulesets overlap, and one is deleted, the overlapping
> area must not be deleted until the other is deleted."
> 
> If we keep R80 we need to do something about defining "overlap."
> I believe that it's not currently addressed elsewhere in our 
> documents.
> 
> Melinda
> 
> 
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/midcom
>